Do not query for CKA_ALWAYS_AUTHENTICATE if PKCS#11 Cryptoki version < 2.20
[strongswan.git] / src / libstrongswan / plugins / pkcs11 / pkcs11_library.c
index e5af0c2..6f79268 100644 (file)
@@ -794,6 +794,7 @@ static void check_features(private_pkcs11_library_t *this, CK_INFO *info)
        if (has_version(info, 2, 20))
        {
                this->features |= PKCS11_TRUSTED_CERTS;
+               this->features |= PKCS11_ALWAYS_AUTH_KEYS;
        }
 }